DeluxHostAPI Reference
VPS management

Get ISO images and mount status

GET
/v1/services/{serviceId}/virtfusion/iso

Authorization

apiToken services:read
headerAuthorizationBearer <token>

A personal API token: Authorization: Bearer dh_live_…. See Authentication for scopes.

Scope: services:read

Path Parameters

serviceId*number

Response Body

Operation completed or accepted; asynchronous actions may still be running.

application/json
  1. response
mounted*null|
customIsoAllowed*boolean
available*array<>
curl -X GET 'https://api.deluxhost.net/v1/services/0/virtfusion/iso' \  -H "Authorization: Bearer $DELUXHOST_TOKEN"
Example Response
{  "mounted": null,  "customIsoAllowed": true,  "available": [    {      "id": 0,      "name": "string",      "arch": "string"    }  ]}